<template>
  <v-dialog v-model="showLoginModal" width="500" class="fill-height">
    <LoginForm :isFromModal="true" @close-modal="closeModal" />
  </v-dialog>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import LoginForm from "./components/LoginForm.vue";

@Component({
  components: {
    LoginForm,
  },
})
export default class LoginModal extends Vue {
  get showLoginModal(): boolean {
    return this.$store.state.showLoginModal;
  }
  private closeModal() {
    // TODO: WTF ?
    console.log("asked to close modal");
  }
}
</script>